Bug 60956 - Receive errors when running m4 command
Receive errors when running m4 command
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-03-10 09:39 EST by Mike Chambers
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-10 09:46:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sendmail.mc file (2.75 KB, text/plain)
2002-03-10 09:43 EST, Mike Chambers
no flags Details

  None (edit)
Description Mike Chambers 2002-03-10 09:39:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
When running the command of m4 /etc/mail/sendmail.mc > /etc/sendmail.cf, I get 
an error involving access.db

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Edit /etc/mail/sendmail.mc
2. Save and close
3. m4 /etc/mail/sendmail.mc > /etc/sendmail.cf

Actual Results:  [root@homer mail]# m4 /etc/mail/sendmail.mc > /etc/sendmail.cf
*** WARNING: missing -T<TMPF> in argument of FEATURE(`access_db', hash -
o /etc/mail/access.db)

Expected Results:  Config file should be created with no errors.

Additional info:

This is a fresh install of beta 2, beta 1 didn't have this problem.  I only 
edited sendmail.mc and deleted the Addr= section and that was it.  
Nothing else was changed.  Attached is my sendmail.mc file.  To get around the 
problem for now, I added dnl to the access.db and blacklist lines.
Comment 1 Mike Chambers 2002-03-10 09:43:37 EST
Created attachment 48066 [details]
sendmail.mc file
Comment 2 Mike Chambers 2002-03-10 09:46:28 EST
I fixed this bug by adding changing the below line..

FEATURE(`access_db',`hash -o /etc/mail/access.db')dnl

to this new line..

FEATURE(`access_db',`hash -T<TMPF> /etc/mail/access.db')dnl

Receive no more errors.
Comment 3 Florian La Roche 2002-03-13 10:18:15 EST
Added this to 8.12.2-7 or newer.


Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.